# TODO
# Add a cvs switch
# Fix --enable-renderer=agg
# fix --enable-gui=fltk
####################################################

%define __libtoolize /bin/true
%define name	gnash
%define version 0.8.1
%define release %mkrel 1
#%define cvs     070802

%define libname %mklibname %{name} 0
%define libname_orig lib%{name}

Name:		%name
Summary:	Gnash - a GNU Flash movie player
Version:	%version
Release:	%release
License:	GPLv3
Group:		Networking/WWW
Source0:	%name-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
URL:		http://www.gnu.org/software/gnash/
BuildRequires:	mesaglut-devel
BuildRequires:  mozilla-firefox-devel > 1.5
BuildRequires:  libgstreamer0.10-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  kdebase-devel
BuildRequires:  gtkglext-devel
BuildRequires:  boost-devel
BuildRequires:  curl-devel
BuildRequires:  docbook2x
BuildRequires:  texinfo
BuildRequires:  doxygen
BuildRequires:  scrollkeeper
BuildRequires:  slang-devel
BuildRequires:  libxslt-proc
BuildRequires:  agg-devel
BuildRequires:  MySQL-devel
BuildRequires:  libltdl-devel
Buildrequires:	gtk2-devel
Buildrequires:	dejagnu
# (nl) : needed for the test-suite
BuildRequires:  ming-devel

%description
Gnash is a GNU Flash movie player. Till now it has been possible 
to play flash movies with proprietary software. While there are a 
few free flash players, none supports anything higher than SWF v4 
at best. Gnash is based on GameSWF, and supports many SWF v7 features.

%post -n %{name}
%_install_info %{name}.info

%preun -n %{name}
%_remove_install_info %{name}.info

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/gnash
%{_bindir}/gparser
%{_bindir}/gprocessor
%{_bindir}/gtk-gnash
%{_mandir}/man?/*

%{_infodir}/%{name}.info.*
%{_infodir}/asspec.info.*
%{_datadir}/omf/gnash
%{_datadir}/gnash

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	Gnash library
Group:	        Networking/WWW	
Provides:	%{libname_orig} = %{version}

%description -n %{libname}
Gnash library.

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/gnash/libgnashbackend-%version.so
%{_libdir}/gnash/libgnashbase-%version.so
%{_libdir}/gnash/libgnashgeo-%version.so
%{_libdir}/gnash/libgnashserver-%version.so
%{_libdir}/gnash/libgnashamf-%version.so

#--------------------------------------------------------------------

%package -n	%{libname}-devel
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/gnash/libgnash*.la
%{_libdir}/gnash/libgnashamf.so
%{_libdir}/gnash/libgnashamf.a
%{_libdir}/gnash/libgnashbackend.so
%{_libdir}/gnash/libgnashbackend.a
%{_libdir}/gnash/libgnashbase.so
%{_libdir}/gnash/libgnashbase.a
%{_libdir}/gnash/libgnashgeo.so
%{_libdir}/gnash/libgnashgeo.a
%{_libdir}/gnash/libgnashserver.so
%{_libdir}/gnash/libgnashserver.a

#--------------------------------------------------------------------

%package -n     %{name}-firefox-plugin
Summary:	Gnash firefox plugin
Group:		Networking/WWW
Requires:	gnash = %{version}
Requires:	libmozilla-firefox > 1.5

%description -n %{name}-firefox-plugin
Gnash firefox plugin

%files -n %{name}-firefox-plugin
%{_libdir}/mozilla/plugins/*.so

#--------------------------------------------------------------------

%package -n	%{name}-konqueror-plugin
Summary:	Gnash konqueror plugin
Group:		Graphical desktop/KDE
Requires:	gnash = %{version}
%description -n %{name}-konqueror-plugin
Gnash Konqueror plugin

%files -n %{name}-konqueror-plugin
%{_bindir}/kde-gnash
%{_libdir}/kde3/*.so
%{_libdir}/kde3/*.a
%{_libdir}/kde3/*.la
%{_datadir}/apps/klash
%{_datadir}/services/klash_part.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version
%build

%configure	--enable-mp3 \
		--enable-ghelp  \
		--enable-docbook \
		--enable-plugin \
		--with-plugindir=%{_libdir}/mozilla/plugins  \
		--enable-media=gst \
		--disable-rpath \
		--enable-extensions \
		--enable-sdk-install \
		--enable-jpeg \
		--enable-ghelp \
		--enable-sound=sdl \
		--with-qt-incl="`pkg-config --variable=includedir qt-mt`" \
		--with-qt-lib="`pkg-config --variable=libdir qt-mt`" \
                --enable-klash 

%make "OPENGL_LIBS = -lGL"


%install
rm -rf %{buildroot}


# Big fat but working hack
# perl -pi -e "s,install-info,/../sbin/install-info," doc/C/Makefile

%makeinstall_std
rm -rf %{buildroot}/%{_localstatedir}/scrollkeeper
perl -pi -e "s,-L%{_builddir}/%{name}-%{version}/libbase,,g" %{buildroot}/%{_libdir}/libgnashgeo.la

%find_lang %name

%clean
rm -rf %{buildroot}


%changelog
* Thu Aug 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 75313
- Build Klash too
- Fix File list
-Fix build
- New version 0.8.1

* Thu Aug 02 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070802.1mdv2008.0
+ Revision: 58322
- New cvs snapshot

* Sat Jul 14 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070714.1mdv2008.0
+ Revision: 52082
- fix buildrequires
- New cvs snapshot
- set license to GPLv3

* Sun Jul 08 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070708.1mdv2008.0
+ Revision: 49883
- New cvs snapshot

* Mon Jul 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.0-0.070624.2mdv2008.0
+ Revision: 47249
- Fix File list ( close bug #31709)'

* Sun Jun 24 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070624.1mdv2008.0
+ Revision: 43721
- needs gstreamer 0.10
- New cvs snapshot
- switch media to gstreamer, mad support is broken
- spec cleaning

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 0.8.0
    - New cvs snapshot

* Wed Jun 06 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.7.3-0.070508.3mdv2008.0
+ Revision: 36075
- Rebuild with libslang2.

* Sat May 26 2007 Funda Wang <fundawang@mandriva.org> 0.7.3-0.070508.2mdv2008.0
+ Revision: 31459
- Use simple file list at the time
- Use mad to handle media
- Rebuild for directfb 1.0

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New svn snapshot

* Wed May 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.3-0.070501.3mdv2008.0
+ Revision: 20438
- New cvs snapshot


* Fri Mar 23 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070318.3mdv2007.1
+ Revision: 148220
- rebuild for mozilla-firefox 2.0.0.3

* Tue Mar 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.3-0.070318.2mdv2007.1
+ Revision: 146874
- don't package the whole sources as doc

* Sun Mar 18 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070318.1mdv2007.1
+ Revision: 146017
- New snapshot

* Wed Mar 07 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.4mdv2007.1
+ Revision: 134807
- bump release to fix submitting
- reintroduce devel package

* Mon Mar 05 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.2mdv2007.1
+ Revision: 133385
- readd missing file
- drop redundant buildrequires
- buildrequires gtk2-devel
- buildrequires dejagnu
- don't package source tree
- fix libraries packages
- drop devel package
- add warning fix patch from opensuse
- enable sound via SDL

* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.1mdv2007.1
+ Revision: 132524
- buildrequires mysql-devel
- buildrequires libltdl-devel
- New cvs snapshot
- buildrequires kdebase-devel
- fix buildrequires
- New cvs snapshot
- disable konqueror plugin

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - reenable konqueror plugin

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New cvs snapshot
    - New snapshot
    - New cvs snapshot
    - New cvs snapshot
    - Fix File list
    - Add BuildRequires for test suite

* Fri Dec 15 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.2-3mdv2007.1
+ Revision: 97943
- Fix lib file section (#27686)

* Sun Dec 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.2-1mdv2007.1
+ Revision: 94527
- Fix requires (i hope )  thanks  Gotz
- New version 0.7.2
- Remove useless BuildConflicts
- close ticket #22971

* Fri Dec 08 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.2-0.2mdv2007.1
+ Revision: 92241
- buildconflicts docbook-utils
- Rebuild for mozilla-firefox 2.0

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.2-0.1mdv2007.1
+ Revision: 90268
- Add BuildRequires scrollkeeper libxslt-proc
- add buildrequires curl-devel texinfo doxygen
- buildrequires docbook-xml

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New cvs snapshot for 0.7.2 branch

* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.1-3mdv2007.1
+ Revision: 73125
- Add tarball
- New cvs snapshot
- Sync with gnash cvs
- Fix BuildRequires for new xorg
- increase release
- Make the wrning for svn back
- make the source back too
- come back on the svn gnash!!!
- Add a warning about its presence on svn repos
- Remove the changelog from the svn commit
- Created package structure for gnash.

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Sat May 13 2006 Couriousous <couriousous@mandriva.org> 0.7.1-1mdk
- 0.7.1
- Reenable firefox plugin
- Enable konqueror plugin

* Thu Feb 16 2006 Austin Acton <austin@mandriva.org> 0.7-0.20060216.1mdk
- give proper version number
- enable docbook and ghelp
- buildrequires docbook2x
- fix lib64 build
- move la's to devel package
- configure 2.5
- add the standard doc files

* Thu Feb 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060216.1mdk
- New cvs snapshot

* Wed Feb 15 2006 Austin Acton <austin@mandriva.org> 0.0-0.20060123.3mdk
- fix lib64 build

* Tue Jan 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060123.2mdk
- Add BuildRequires

* Fri Jan 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060123.1mdk
- New cvs snapshot
	- For the moment the firefox plugin is not enable because it
		doesn't compile.
- Fix File section (misc)
- Add BuildRequires (misc)

* Tue Jan 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060110.1mdk
- initial mandriva package
- Patch 0 : Fix Mozilla-firefox detection (baud123)

